commit: 37d8bfd941c8ecb803649185d8a4b4a40505d92c
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 15 05:27:13 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Oct 15 06:09:56 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=37d8bfd9
dev-python/lmdb: Bump to 1.7.5
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/lmdb/Manifest | 1 +
dev-python/lmdb/lmdb-1.7.5.ebuild | 46 +++++++++++++++++++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/dev-python/lmdb/Manifest b/dev-python/lmdb/Manifest
index 1167b0db5c17..bf02bc31f0ac 100644
--- a/dev-python/lmdb/Manifest
+++ b/dev-python/lmdb/Manifest
@@ -1 +1,2 @@
DIST lmdb-1.7.3.tar.gz 883449 BLAKE2B
0876dbe6abbb072122505ba6e3e54344896d39be393aadf7aaf14bf3590c029d94a3666dc7cc19d1ae4e34e616945e57190c77906d73449b2db18d772696f436
SHA512
4019e8ff45949a39474fcb173838642ed48e86a235b16fba87c7dfc7af5c48740b69dd8b436a867a12610aa5efbc54131ee06aea162604f43bede41bab3e34b4
+DIST lmdb-1.7.5.tar.gz 883490 BLAKE2B
8246b475bdf6a64f29090a00f4715ee149ee846fdd4d10f1f94c50c2cf17574ce3c44dd94ccbc5e9f5ad925c2a75f79858de235f1217319c5cc1b8c7127435dd
SHA512
2813f556a9499bb7555f0119ddaf139d033c5f58f427a983d61cb3d3b1a8f2978cfcc9e8424e81af5476aac00e1e498ff33aabdcaecd5a6d1dafebd604c56bc3
diff --git a/dev-python/lmdb/lmdb-1.7.5.ebuild
b/dev-python/lmdb/lmdb-1.7.5.ebuild
new file mode 100644
index 000000000000..e6ab9c0e171d
--- /dev/null
+++ b/dev-python/lmdb/lmdb-1.7.5.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings for the Lightning Database"
+HOMEPAGE="
+ https://github.com/jnwatson/py-lmdb/
+ https://pypi.org/project/lmdb/
+"
+
+LICENSE="OPENLDAP"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+# cffi is used only on pypy, so no dep
+DEPEND="
+ >=dev-db/lmdb-0.9.28:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+export LMDB_FORCE_SYSTEM=1
+
+python_test() {
+ rm -rf lmdb || die
+ epytest tests
+}
+
+src_install() {
+ distutils-r1_src_install
+
+ # remove temporary files
+ find "${D}" -name '*.o' -delete || die
+ find "${D}" -depth -type d -empty -delete || die
+}